Get All PayTo Agreements for a User

This operation is to retrieve all PayTo agreements associated with a particular user in the provided period (date range). Agreements can be retrieved for a maximum period of one year or less at a time i.e. the period between start and end date cannot exceed more than one year.

By default, all agreements will be returned irrespective of status and type (AUPM/MGCR).

However, if required, results can be filtered for a particular status or agreement type. Example - Retrieve all suspended and cancelled migrated agreements.

Request parameter descriptions:

  • user_external_id - Unique identifier of the user that is associated with the agreement.
  • status - List of valid agreement statuses. Example - Retrieve active and suspended agreements only.
    • Valid values - PENDING_VALIDATION, VALIDATED, PENDING_CREATION, CREATED, ACTIVE, SUSPENDED, CANCELLED
  • agreement_type - List of valid agreement types. Example - Retrieve only migrated agreements.
    • Valid values - AUPM, MGCR
  • start_date - Date range start, example - fetch all agreements created between June to December 2022.
  • end_date - Date range end, example - fetch all agreements created between June to December 2022.
  • size - Number of agreements per page. Default value is 20.
  • page - Page number. Default value is 0.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required
status
array of strings
enum
status
Allowed:
string
string
required
string
required
int32
Defaults to 20
int32
Defaults to 0
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json